Public Class frmAPI

    Public id, progId, progName, maid, datetime, testsystem, type, mail, userName, firma, errorCode, errStack, errMessage, errMethodName, progVersion



    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub


    Private Sub frmAPI_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        lblProgramm.Text = progId & " - " & progName & IIf(progVersion <> "", " (" & progVersion & ")", "")
        lblFirma.Text = IIf(firma IsNot DBNull.Value, firma, "")
        txtUser.Text = IIf(maid IsNot DBNull.Value, maid & ": ", "") & IIf(userName IsNot DBNull.Value, userName, "")
        txtType.Text = IIf(type IsNot DBNull.Value, type, "")
        txtMethode.Text = IIf(errMethodName IsNot DBNull.Value, errMethodName, "")
        txtDatetime.Text = IIf(datetime IsNot DBNull.Value, datetime, "")
        txtMail.Text = IIf(mail IsNot DBNull.Value, mail, "")

        rtferrMsg.Text = IIf(errMessage IsNot DBNull.Value, errMessage, "")
        rtferrStack.Text = IIf(errStack IsNot DBNull.Value, errStack, "")

        If errorCode > 0 Then
            lblErrMsg.Text &= " (Error Code: " & errorCode & ")"
        End If

        If testsystem IsNot Nothing Then
            cbxTestsysten.Checked = testsystem
        End If


    End Sub


End Class